Bug 386568 - Clipboard: make connection only one way
Summary: Clipboard: make connection only one way
Status: RESOLVED DUPLICATE of bug 392164
Alias: None
Product: kdeconnect
Classification: Unclassified
Component: common (show other bugs)
Version: unspecified
Platform: Other Linux
: NOR wishlist with 20 votes (vote)
Target Milestone: ---
Assignee: Albert Vaca
URL:
Keywords:
: 387398 (view as bug list)
Depends on:
Blocks:
 
Reported: 2017-11-05 22:38 UTC by Gerion
Modified: 2021-09-15 10:58 UTC (History)
5 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gerion 2017-11-05 22:38:49 UTC
I find clipboard sharing an extremly useful feature, but generally the PC is a more trusted device than the smartphone. So I want to suggest to make the clipboard sharing onedirectional, so all copied stuff on the phone is shared with the desktop but not the opposite direction, e.g. when you copy a password on the desktop, that it is not shared with the smartphone.

Ideally that behaviour would be easy to toggle.
Comment 1 Aleix Pol 2018-01-16 21:35:25 UTC
*** Bug 387398 has been marked as a duplicate of this bug. ***
Comment 2 Simone Gaiarin 2018-08-19 14:18:29 UTC
Until this is fixed, the clipboard plugin should be disabled by default for security reason.
Comment 3 Lothar 2019-06-08 06:24:27 UTC
I would like to have some explicit action for that clipboard sharing.

Best would be to work everywhere by context menu. But on PC side would be a button in the KDE-Connect system tray UI sufficient.
Comment 4 Mikhail Khvoinitsky 2021-09-14 23:55:49 UTC
See also Bug 392164 which is better alternative for this feature request and fulfills security concerns even better.
Comment 5 Simone Gaiarin 2021-09-15 05:14:26 UTC
If everyone agrees, we can close this in favor of 392164
Comment 6 Gerion 2021-09-15 10:57:57 UTC
I wouln't say that Bug 392164 is a _better_ alternative but definitely highly related. We can close this bug, I will comment on the other.
Comment 7 Gerion 2021-09-15 10:58:50 UTC

*** This bug has been marked as a duplicate of bug 392164 ***